<?

require'config.php';
$tyu='left';
$title='Доска Почета';
aut();
head();
who_add(0,'enter');

switch($mod){
default:
if (isset($_GET['del'])){
if ($user[level]>=6)$db->sql_query("DELETE FROM `board` WHERE `id` = '".check(intval($_GET['del']))."'");

header ('Location: ?'.SID);

}

$resu = $db->sql_fetchrow($db->sql_query("Select * from users order by dayp desc limit 1;"));
echo '<u>Человек дня</u> - '.nik($resu['id']).'<br/>';
$resu = $db->sql_fetchrow($db->sql_query("Select * from users order by daya desc limit 1;"));
if ($resu["sex"]==1) $sexu='Умник дня';
else $sexu='Умница дня';
echo '<u>'.$sexu.'</u> - '.nik($resu['id']).'<br/>';
$resu = $db->sql_fetchrow($db->sql_query("Select * from users order by posts desc limit 1;"));
echo '<u>Самый активный чатовец</u> - '.nik($resu['id']).'<br/>';
$resu = $db->sql_fetchrow($db->sql_query("Select * from users order by postsf desc limit 1;"));
echo '<u>Самый активный форумец</u> - '.nik($resu['id']).'<br/>';
$resu = $db->sql_fetchrow($db->sql_query("Select * from users order by rur desc limit 1;"));
if ($resu["sex"]==1) $sexu='Самый богатый';
else $sexu='Самая богатый';
echo '<u>'.$sexu.'</u> - '.nik($resu['id']).'<br/>';
$resu = $db->sql_fetchrow($db->sql_query("Select * from users order by credits desc limit 1;"));
if ($resu["sex"]==1) $sexu='Самый умный';
else $sexu='Самая умная';
echo '<u>'.$sexu.'</u> - '.nik($resu['id']).'<br/>';
$resu = $db->sql_fetchrow($db->sql_query("Select * from users where photo!='' order by vote_photo desc limit 1;"));
if ($resu["sex"]==1) $sexu='Самый красивый';
else $sexu='Самая красивая';
echo '<u>'.$sexu.'</u> - '.nik($resu['id']).'<br/>';
$resu = $db->sql_fetchrow($db->sql_query("Select * from users order by gposts desc limit 1;"));
if ($resu["sex"]==1) $sexu='Самый азартный';
else $sexu='Самая азартная';
echo '<u>'.$sexu.'</u> - '.nik($resu['id']).'<br/>';
$resu = $db->sql_fetchrow($db->sql_query("Select * from users order by gposts limit 1;"));
if ($resu["sex"]==1) $sexu='Самый невезучий';
else $sexu='Самая невезучая';
echo '<u>'.$sexu.'</u> - '.nik($resu['id']).'<br/>';
$resu = $db->sql_fetchrow($db->sql_query("Select * from users order by mafcredits desc limit 1;"));
if ($resu["sex"]==1) $sexu='Самый блатной';
else $sexu='Самая блатная';
echo '<u>'.$sexu.'</u> - '.nik($resu['id']).'<br/>';
$resu = $db->sql_fetchrow($db->sql_query("Select * from users order by byeotv desc limit 1;"));
if ($resu["sex"]==1) $sexu='Самый предприимчивый';
else $sexu='Самая предприимчивая';
echo '<u>'.$sexu.'</u> - '.nik($resu['id']).'<br/>';
$resu = $db->sql_fetchrow($db->sql_query("Select * from users order by myblogs desc limit 1;"));
if ($resu["sex"]==1) $sexu='Самый креативный';
else $sexu='Самая креативная';
//echo '<u>'.$sexu.'</u> - '.nik($resu['id']).'<br/>';
$resu = $db->sql_fetchrow($db->sql_query("Select * from users order by round(alltraf) desc limit 1;"));
if ($resu["sex"]==1) $sexu='Самый неэкономный';
else $sexu='Самая неэкономная';
echo '<u>'.$sexu.'</u> - '.nik($resu['id']).'<br/>';
$resu = $db->sql_fetchrow($db->sql_query("Select * from users order by id desc limit 1;"));
if ($resu["sex"]==1) $sexu='Самый новенький';
else $sexu='Самая новенькая';
echo '<u>'.$sexu.'</u> - '.nik($resu['id']).'<br/>';
$resu = $db->sql_fetchrow($db->sql_query("Select * from users where id=1 limit 1;"));
if ($resu["sex"]==1) $sexu='Самый главный';
else $sexu='Самая главная';
echo '<u>'.$sexu.'</u> - '.nik($resu['id']).'<br/>';
$query = $db->sql_query("select * from board");
while($arr=$db->sql_fetchrow($query)){
echo '<u>'.$arr["name"].'</u> - '.nik($arr['who']).'';
if ($user['level']>6) echo ' <a href="board?del='.$arr['id'].'">[Удал]</a><br/>';
}
echo '<dl><dt></dt></dl>';
echo "<a href=\"board?mod=help\">Справка</a><br/>";
$amarelle = mysql_fetch_array(mysql_query("SELECT * FROM `telochranitel` WHERE `user_id` = '".$user['id']."'"));
if (isset($amarelle['user_id']) AND $amarelle['telochranitel_id'] >= 1){
$ost = $realtime - $amarelle['time'];
if ($ost > 604800) mysql_query("UPDATE `telochranitel` SET `telochranitel_id` = '0', `time` = '0' WHERE `user_id` = '".$inf['id']."'");
echo "<a href=\"board?mod=add_vip\">Добавить</a><br/>";
}else{
if ($user['level']>6) echo "<a href=\"board?mod=add\">Добавить</a><br/>";}
break;

case 'add_vip':

$amarelle = mysql_fetch_array(mysql_query("SELECT * FROM `telochranitel` WHERE `user_id` = '".$user['id']."'"));
if (isset($amarelle['user_id']) AND $amarelle['telochranitel_id'] >= 1){
$ost = $realtime - $amarelle['time'];
if ($ost > 604800) mysql_query("UPDATE `telochranitel` SET `telochranitel_id` = '0', `time` = '0' WHERE `user_id` = '".$inf['id']."'");

if (empty($act)){
if ($ver!='wml')echo '<form action="board?mod='.$mod.'&amp;act=act&amp;'.SID.'" method="post">';

echo 'Категория:<br/>';
echo '<input type="text" name="name" maxlength="50" title="Категория"/><br/>';
echo 'Кто:<br/>';
echo '<input type="text" name="who" maxlength="50" title="Кто"/><br/>';
if ($ver=='wml'){
echo '<br /><anchor title="go">Добавить<go href="board?mod='.$mod.'&amp;act=add&amp;'.SID.'" method="post">';
echo '<postfield name="name" value="$name"/>
<postfield name="who" value="$who"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';
}
}else{
$name = check($_POST['name']);
if ($user['translit']==1)$name = translit($name);
$who = check($_POST['who']);

if (strlen2($name)<3)$err = 'Короткая категория!';
if (!user($who))$err = 'Такого пользователя не существует!';

if (empty($err)){
if ($db->sql_query ("INSERT INTO board (name,who) VALUES ('$name','$who')")){header ('Location: ?'.SID);  exit;
}else echo 'Ошибка!<br />';
}else echo $err;

}
}else{header ('Location: '.H.'enter');}
break;


case 'add':

if ($user['level']==9){
if (empty($act)){
if ($ver!='wml')echo '<form action="board?mod='.$mod.'&amp;act=act&amp;'.SID.'" method="post">';

echo 'Категория:<br/>';
echo '<input type="text" name="name" maxlength="50" title="Категория"/><br/>';
echo 'Кто:<br/>';
echo '<input type="text" name="who" maxlength="50" title="Кто"/><br/>';
if ($ver=='wml'){
echo '<br /><anchor title="go">Добавить<go href="board?mod='.$mod.'&amp;act=add&amp;'.SID.'" method="post">';
echo '<postfield name="name" value="$name"/>
<postfield name="who" value="$who"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';
}
}else{
$name = check($_POST['name']);
if ($user['translit']==1)$name = translit($name);
$who = check($_POST['who']);

if (strlen2($name)<3)$err = 'Короткая категория!';
if (!user($who))$err = 'Такого пользователя не существует!';

if (empty($err)){
if ($db->sql_query ("INSERT INTO board (name,who) VALUES ('$name','$who')")){header ('Location: ?'.SID);  exit;
}else echo 'Ошибка!<br />';
}else echo $err;

}
}else{
echo 'А где же выход? о_О';
echo '<a href="enter">А вот он:)<br>';
}
break;



case 'help':
echo 'Доска почета - то место, где отмечены самый активные чатовцы.<br/>
Хотите попасть сюда? Тогда присоединяйтесь к нашему чату, общайтесь, добивайтесь своего!<br/>
А теперь о номинациях:<br/>
- Человек дня - оставил сегодня больше всех постов<br/>
- Умник дня - отгадал сегодня больше всех вопросов<br/>
- Самый активный чатовец - имеет постов в чате больше всех<br/>
- Самый активный форумец - имеет постов в форуме больше всех<br/>
- Самый богатый - имеет денег больше всех<br/>
- Самый умный - больше всего ответов в викторине
- Самый красивый - больше всего голосов за фото<br/>
- Самый азартный - выиграл больше всех в казино<br/>
- Самый невезучий - больше всех в казино проиграл<br/>
- Самый блатной - самый активный игрок мафии<br/>
- Самый предприимчивый - купил больше всех ответов<br/>
- Самый креативный - больше всех Дневников<br/>
- Самый неэкономный - насидел больше всех траффика<br/>
- Самая любознательный - последним заказал факт в чат<br/>
- Самый веселый - последним заказал шутку в чат<br/>
- Самый новенький - последний зарегистрированный пользователь<br/>
- Самый главный - наш супер админ<br/>
Остальные номинации даются по решению администрации<br/>';
break;


}
echo '<br />';
if ($mod)echo gb.'<a href="board">Доска Почета</a>'.div;
echo gb.'<a href="'.H.'my/index">Личный Кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>
